postinst is in boinc-server-maker 7.0.24+dfsg-1.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 | #!/bin/sh
# postinst script for boinc-server
set -e
case "$1" in
configure)
# Create boincadm group if it doesn't already exist.
if ! getent group boincadm >/dev/null; then
if ! addgroup --quiet --system boincadm; then
echo "could not add group 'boincadm'"
exit 1
fi
fi
if ! getent group | grep boincadm | grep -q www-data; then
if ! adduser www-data boincadm; then
echo "could not assing user 'www-data' to group 'boincadm'"
exit 1
fi
fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac
exit 0
|